package com.ningdatech.pmapi.common.helper;

import com.ningdatech.pmapi.user.security.auth.model.UserFullInfoDTO;
import org.springframework.stereotype.Component;

/**
 * @author liuxinxin
 * @date 2023/2/10 下午4:38
 * @Description: 用户信息管理工具类 helper
 */

@Component
public interface UserInfoHelper {

    /**
     * 根据用户id 获取 用户所属组织code organizationCode
     *
     * @param userId
     * @return
     */
    String getOrganizationCode(Long userId);

    UserFullInfoDTO getUserFullInfo(Long userId);

    String getUserName(Long userId);

    /**
     * 判断该用户是否是区管或者超管
     *
     * @return
     */
    boolean isSuperOrRegionAdmin(Long userId);

    UserFullInfoDTO getUserFullInfoByEmployeeCode(String employeeCode);

    /**
     * 获取用户任职所在单位code
     *
     * @return
     */
    String getUserEmpPosUnitCode(Long userId);


}
